aboutsummaryrefslogtreecommitdiffstatshomepage
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/pre-commit1
-rwxr-xr-xscripts/setup-hooks1
2 files changed, 2 insertions, 0 deletions
diff --git a/scripts/pre-commit b/scripts/pre-commit
index b75ea9f..8a98a0e 100755
--- a/scripts/pre-commit
+++ b/scripts/pre-commit
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
if ! command -v git-clang-format &> /dev/null; then
echo "Please make sure git-clang-format is available." >&2
diff --git a/scripts/setup-hooks b/scripts/setup-hooks
index 745c7c7..f4d1b1f 100755
--- a/scripts/setup-hooks
+++ b/scripts/setup-hooks
@@ -1,6 +1,7 @@
#!/usr/bin/env bash
set -o errexit -o nounset -o pipefail
+shopt -s inherit_errexit lastpipe
script_dir="$( dirname -- "${BASH_SOURCE[0]}" )"
script_dir="$( cd -- "$script_dir" && pwd )"